<?PHP
/*
=====================================================
 DataLife Engine - by SoftNews Media Group 
-----------------------------------------------------
 http://www.pc-soft.ru/
-----------------------------------------------------
 Copyright (c) 2004,2005 SoftNews Media Group
=====================================================
     
=====================================================
 : options.php
-----------------------------------------------------
 : 
=====================================================
*/

if(!defined('DATALIFEENGINE'))
{
  die("Hacking attempt!");
}

// ********************************************************************************
// Options Menu
// ********************************************************************************

if (isset ($_REQUEST['subaction'])) $subaction = $_REQUEST['subaction']; else $subaction = "";
if (isset ($_REQUEST['do_template'])) $do_template = $_REQUEST['do_template']; else $do_template = "";

if($action == "options" or $action == '')
{
    echoheader("options",$lang['opt_head']);

    //----------------------------------
    // Predefine Options
    //----------------------------------

    // access means the lower level of user allowed; 1:admin, 2:editor+admin, 3:editor+admin+journalist, 4:all
    $options = array(
                    array(
                    'name'       => $lang['opt_priv'],
                    'url'        => "$PHP_SELF?mod=options&action=personal",
					'descr'      => $lang['opt_privc'],
					'image'      => "pset.png",
                    'access'     => "4",
                    ),

                    array(
                    'name'       => $lang['opt_all'],
                    'url'        => "$PHP_SELF?mod=options&action=syscon",
					'descr'      => $lang['opt_allc'],
					'image'      => "allset.png",
                    'access'     => "1",
                    ),

                    array(
                    'name'       => $lang['opt_vote'],
                    'url'        => "$PHP_SELF?mod=editvote",
					'descr'      => $lang['opt_votec'],
					'image'      => "votes.png",
                    'access'     => "1",
                    ),

                    array(
                    'name'       => $lang['main_newsl'],
                    'url'        => "$PHP_SELF?mod=newsletter",
					'descr'      => $lang['main_newslc'],
					'image'      => "email.png",
                    'access'     => "1",
                    ),

                    array(
                    'name'       => $lang['opt_static'],
                    'url'        => "$PHP_SELF?mod=static",
					'descr'      => $lang['opt_staticd'],
	  				'image'    	 => "spset.png",
                    'access'     => "1",
                    ),


                    array(
                       'name'       => $lang['opt_t'],
                       'url'        => "$PHP_SELF?mod=templates",
					   'descr'      => $lang['opt_tc'],
	  				   'image'      => "tmpl.png",
                       'access'     => "1",
                    ),

                    array(
                       'name'       => $lang['opt_user'],
                       'url'        => "$PHP_SELF?mod=editusers&action=list",
					   'descr'      => $lang['opt_userc'],
	  				   'image'    	 => "uset.png",
                       'access'     => "1",
                    ),


                    array(
                       'name'       => $lang['opt_img'],
                       'url'        => "$PHP_SELF?mod=files",
					   'descr'      => $lang['opt_imgc'],
	  				    'image'    => "iset.png",
                       'access'     => "1",
                    ),


                    array(
                       'name'       => $lang['opt_cat'],
                       'url'        => "$PHP_SELF?mod=categories",
					   'descr'      => $lang['opt_catc'],
					   'image'      => "cats.png",
                       'access'     => "1",
                    ),
					array(
						'name'     => $lang['opt_email'],
						'url'      => "$PHP_SELF?mod=email",
						'descr'    => $lang['opt_emailc'],
	  				    'image'    => "mset.png",

						'access'   => "1",
					),
					array(
						'name'     => $lang['opt_fil'],
						'url'      => "$PHP_SELF?mod=wordfilter",
						'descr'    => $lang['opt_filc'],
	  				    'image'    => "fset.png",
						'access'   => "2",
					),

					array(
						'name'     => $lang['opt_ipban'],
						'url'      => "$PHP_SELF?mod=blockip",
						'descr'    => $lang['opt_ipbanc'],
	  				    'image'    => "blockip.png",
						'access'   => "1",
					),
                    
                    array(
                    'name'       => $lang['opt_xfil'],
                    'url'        => "$PHP_SELF?mod=xfields&xfieldsaction=configure",
					'descr'      => $lang['opt_xfilc'],
	  				'image'    => "xfset.png",
                    'access'     => "1",
                    ),

                    array(
                    'name'       => $lang['opt_db'],
                    'url'        => "$PHP_SELF?mod=dboption",
					'descr'      => $lang['opt_dbc'],
	  			    'image'    	 => "dbset.png",
                    'access'     => "1",
                    ),


                    );



//------------------------------------------------
// Cut the options for wich we don't have access
//------------------------------------------------
    $count_options = count($options);
    for($i=0; $i<$count_options; $i++){
    	if($member_db[1] > $options[$i]['access']){
			unset($options[$i]);
        }
    }

echo <<<HTML
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="engine/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="engine/skins/images/tl_oo.gif"><img src="engine/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="engine/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="engine/skins/images/tl_lb.gif"><img src="engine/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_hopt']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;

foreach($options as $option) 
{
echo "<tr>
        <td width=\"70\" style=\"padding:2px;\"><img src=\"engine/skins/images/{$option['image']}\" border=\"0\"></td>
        <td><div class=\"system\"><a href=\"{$option['url']}\"><h3>{$option['name']}</h3>{$option['descr']}</a></div></div></td>
    </tr>
	<tr>
        <td colspan=\"2\"><div class=\"hr_line\"></div></td>
    </tr>";      
}

echo <<<HTML
</table>
</td>
        <td background="engine/skins/images/tl_rb.gif"><img src="engine/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="engine/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="engine/skins/images/tl_ub.gif"><img src="engine/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="engine/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div>
HTML;

    echofooter();
}


// ********************************************************************************
// Show Personal Options
// ********************************************************************************
elseif($action == "personal")
{
    echoheader("user",$lang['opt_priv']);

    $registrationdate = langdate("l, j M Y - H:i",$member_db[0]);    //registration date
    if($member_db[7] == 0) $ifchecked = "Checked"; else $ifchecked = "";        //if user wants to hide his e-mail

     foreach($member_db as $key=>$value){
         $member_db[$key]  = stripslashes(preg_replace(array("'\"'", "'\''"), array("&quot;", "&#039;"),$member_db[$key]));
     }

echo <<<HTML
<form method="post" action="" name="personal">
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="engine/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="engine/skins/images/tl_oo.gif"><img src="engine/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="engine/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="engine/skins/images/tl_lb.gif"><img src="engine/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
	<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_hprv']}</div></td>
    </tr>
</table>
<div class="unterline"></div>
<table width="100%">
    <tr>
        <td width="150" style="padding:2px;">{$lang['user_name']}</td>
        <td>{$member_db[2]}</td>
    </tr>
    <tr>
        <td style="padding:2px;">{$lang['user_acc']}</td>
        <td>
HTML;

     if        ($member_db[1] == 4) echo $lang['user_mem']; 
     elseif    ($member_db[1] == 3) echo $lang['user_ed']; 
     elseif    ($member_db[1] == 2) echo $lang['user_re']; 
     elseif    ($member_db[1] == 1) echo $lang['user_adm']; 

echo <<<HTML
</td>
    </tr>
    <tr>
        <td style="padding:2px;">{$lang['user_news']}</td>
        <td>{$member_db[6]}</td>
    </tr>
    <tr>
        <td style="padding:2px;">{$lang['user_reg']}</td>
        <td>{$registrationdate}</td>
    </tr>
   <tr>
    <tr>
        <td colspan="2"><div class="hr_line"></div></td>
    </tr>
        <td style="padding:2px;">{$lang['user_mail']}</td>
        <td><input class="edit" type="text" name="editmail" value="{$member_db[5]}">&nbsp;&nbsp;&nbsp;<input type="checkbox" name="edithidemail" {$ifchecked} id="edithidemail">&nbsp;<label for="edithidemail">{$lang['opt_hmail']}</label></td>
    </tr>
    <tr>
        <td style="padding:2px;">{$lang['opt_fullname']}</td>
        <td><input class="edit" name="editfullname" value="{$member_db[11]}" ></td>
    </tr>
    <tr>
        <td style="padding:2px;">{$lang['opt_land']}</td>
        <td><input class="edit" name="editland" value="{$member_db[12]}"></td>
    </tr>
    <tr>
        <td style="padding:2px;">{$lang['opt_icq']}</td>
        <td><input class="edit" name="editicq" value="{$member_db[13]}"></td>
    </tr>
    <tr>
        <td colspan="2"><div class="hr_line"></div></td>
    </tr>
    <tr>
        <td style="padding:2px;">{$lang['opt_altpassw']}</td>
        <td><input class="edit" name="altpass" type="password"><a href="#" class="hintanchor" onMouseover="showhint('{$lang[hint_pass]}', this, event, '250px')">[?]</a></td>
    </tr>
    <tr>
        <td style="padding:2px;">{$lang['user_newpass']}</td>
        <td><input class="edit" name="editpassword"></td>
    </tr>
    <tr>
        <td colspan="2"><div class="hr_line"></div></td>
    </tr>
    <tr>
        <td colspan="2" style="padding-left:5px;"><input type="submit" class="buttons" value="{$lang['user_save']}">
     <input type="hidden" name="mod" value="options">
     <input type="hidden" name="action" value="dosavepersonal"></td>
    </tr>
</table>
</td>
        <td background="engine/skins/images/tl_rb.gif"><img src="engine/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="engine/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="engine/skins/images/tl_ub.gif"><img src="engine/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="engine/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div></form>
HTML;

    echofooter();
}
// ********************************************************************************
// Save Personal Options
// ********************************************************************************
elseif($action == "dosavepersonal")
{


$editpassword = mysql_escape_string($_POST['editpassword']);
$edithidemail = mysql_escape_string($_POST['edithidemail']);
$editmail = mysql_escape_string($_POST['editmail']);
$editfullname = mysql_escape_string($_POST['editfullname']);
$editland = mysql_escape_string($_POST['editland']);
$editicq = mysql_escape_string($_POST['editicq']);


    if($edithidemail){ $edithidemail = 0;}else{ $edithidemail = 1; }

if($editpassword != ""){

 if (md5($_POST['altpass']) == $_COOKIE['member_password'])
 {
	$editpassword = md5($editpassword);
	$sql_update = "UPDATE " . PREFIX . "_users set email='$editmail', fullname='$editfullname', land='$editland', icq='$editicq', allow_mail='$edithidemail', password='$editpassword' where name='$member_db[2]'";
	setcookie ("member_password", $editpassword,time()+3600*24*365, "/");
 } else  msg("error", "Error !!!", $lang['opt_errpass'], "$PHP_SELF?mod=options&action=personal");

} else {

$sql_update = "UPDATE " . PREFIX . "_users set email='$editmail', fullname='$editfullname', land='$editland', icq='$editicq', allow_mail='$edithidemail' where name='$member_db[2]'";
}

$db->query ($sql_update);

$personal_success = TRUE;


    if($personal_success){ msg("info", $lang['user_editok'], $lang['opt_peok'], "$PHP_SELF?mod=options&action=personal"); }
    else{ msg("error", "Error !!!", $lang['user_nouser'], "$PHP_SELF?mod=options&action=personal"); }
}
// ********************************************************************************
// System Configuration
// ********************************************************************************
elseif($action == "syscon")
{

	if($member_db[1] != 1){ msg("error", $lang['opt_denied'], $lang['opt_denied']); }

    echoheader("options", $lang['opt_all']);

    function showRow($title="", $description="", $field="")
    {
        echo"<tr>
        <td style=\"padding:4px\" class=\"option\">
        <b>$title</b><br /><span class=small>$description</span>
        <td width=394 align=middle >
        $field
        </tr><tr><td background=\"engine/skins/images/mline.gif\" height=1 colspan=2></td></tr>";
        $bg = ""; $i++;
    }

    function makeDropDown($options, $name, $selected)
    {
        $output = "<select size=1 name=\"$name\">\r\n";
        foreach($options as $value=>$description)
        {
          $output .= "<option value=\"$value\"";
          if($selected == $value){ $output .= " selected "; }
          $output .= ">$description</option>\n";
        }
        $output .= "</select>";
        return $output;
    }

    if(!$handle = opendir("./templates")){ die("   ./templates"); }
    while (false !== ($file = readdir($handle))) {
        if(is_dir("./templates/$file") and ($file != "." and $file!="..")){
            $sys_con_skins_arr[$file] = $file;
        }
    }
    closedir($handle);

    if(!$handle = opendir("./language")){ die("   ./data/language/"); }
    while (false !== ($file = readdir($handle))) {
        if(is_dir("./language/$file") and ($file != "." and $file!="..")){
            $sys_con_langs_arr[$file] = $file;
        }
    }
    closedir($handle);

echo <<<HTML
<script language='JavaScript' type="text/javascript">

        function ChangeOption(selectedOption) {

                document.getElementById('general').style.display = "none";
                document.getElementById('news').style.display = "none";
                document.getElementById('comments').style.display = "none";
                document.getElementById('optimisation').style.display = "none";
                document.getElementById('files').style.display = "none";
                document.getElementById('users').style.display = "none";
                document.getElementById('imagesconf').style.display = "none";

                if(selectedOption == 'general') {document.getElementById('general').style.display = "";}
                if(selectedOption == 'news') {document.getElementById('news').style.display = "";}
                if(selectedOption == 'comments') {document.getElementById('comments').style.display = "";}
                if(selectedOption == 'optimisation') {document.getElementById('optimisation').style.display = "";}
                if(selectedOption == 'files') {document.getElementById('files').style.display = "";}
                if(selectedOption == 'users') {document.getElementById('users').style.display = "";}
                if(selectedOption == 'imagesconf') {document.getElementById('imagesconf').style.display = "";}


       }

</script>
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="engine/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="engine/skins/images/tl_oo.gif"><img src="engine/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="engine/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="engine/skins/images/tl_lb.gif"><img src="engine/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_general_sys']}</div></td>
    </tr>
</table>
<div class="unterline"></div>
<table width="100%">
    <tr>
        <td style="padding:2px;">
<table style="text-align:center;" width="100%" height="35px">
<tr style="vertical-align:middle;" >
 <td class=tableborder><a href="javascript:ChangeOption('general');"><img title="$lang[opt_allsys]" src="engine/skins/images/general.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('news');"><img title="$lang[opt_newssys]" src="engine/skins/images/news.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('comments');"><img title="$lang[opt_commsys]" src="engine/skins/images/comments.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('optimisation');"><img title="$lang[opt_dbsys]" src="engine/skins/images/db_opt.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('files');"><img title="$lang[opt_filesys]" src="engine/skins/images/folder.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('users');"><img title="$lang[opt_usersys]" src="engine/skins/images/users.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('imagesconf');"><img title="$lang[opt_imagesys]" src="engine/skins/images/conf_images.png" border="0"></a>

 </tr>
</table>
</td>
    </tr>
</table>
</td>
        <td background="engine/skins/images/tl_rb.gif"><img src="engine/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="engine/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="engine/skins/images/tl_ub.gif"><img src="engine/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="engine/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div>
HTML;

echo <<<HTML
<form action="" method="post">
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="engine/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="engine/skins/images/tl_oo.gif"><img src="engine/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="engine/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="engine/skins/images/tl_lb.gif"><img src="engine/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
<table width="100%">
HTML;

echo <<<HTML
<tr style='' id="general"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_all']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;

    showRow($lang['opt_sys_ht'], $lang['opt_sys_htd'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[home_title]' value='$config_home_title' size=40>", "Yes");
    showRow($lang['opt_sys_hu'], $lang['opt_sys_hud'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[http_home_url]' value='$config_http_home_url' size=40>", "Yes");

    showRow($lang['opt_sys_chars'], $lang['opt_sys_charsd'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[charset]' value='$config_charset' size=30>");

    showRow($lang['opt_sys_amail'], $lang['opt_sys_amaild'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[admin_mail]' value='$config_admin_mail' size=30>");

    showRow($lang['opt_sys_offline'], $lang['opt_sys_offlined'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[site_offline]", "$config_site_offline"));
    showRow($lang['opt_sys_dc'], $lang['opt_sys_dcd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_alt_url]", "$config_allow_alt_url"));
	showRow($lang['opt_sys_al'], $lang['opt_sys_ald'], makeDropDown($sys_con_langs_arr, "save_con[langs]", "$config_langs"));
    showRow($lang['opt_sys_as'], $lang['opt_sys_asd'], makeDropDown($sys_con_skins_arr, "save_con[skin]", "$config_skin"));

    showRow($lang['opt_sys_ag'], $lang['opt_sys_agd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_gzip]", "$config_allow_gzip"));
    showRow($lang['opt_sys_wda'], $lang['opt_sys_wdad'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_admin_wysiwyg]", "$config_allow_admin_wysiwyg"));
    showRow($lang['opt_sys_wdst'], $lang['opt_sys_wdad'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_static_wysiwyg]", "$config_allow_static_wysiwyg"));

	echo "</table></td></tr>";

echo <<<HTML
<tr style='display:none' id="news"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_newssys']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;

    showRow($lang['opt_sys_newc'], $lang['opt_sys_newd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[news_number]' value=\"$config_news_number\" size=10>");

    showRow($lang['opt_sys_am'], $lang['opt_sys_amd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[smilies]' value=\"$config_smilies\" size=40>");
    showRow($lang['opt_sys_at'], $lang['opt_sys_atd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[date_adjust]' value=\"$config_date_adjust\" size=10>");
    showRow($lang['opt_sys_an'], "<a onClick=\"javascript:Help('date')\" class=main href=\"#\">$lang[opt_sys_and]</a>", "<input class=edit type=text style=\"text-align: center;\"  name='save_con[timestamp_active]' value='$config_timestamp_active' size=40>");

    showRow($lang['opt_sys_sort'], $lang['opt_sys_sortd'], makeDropDown(array("date"=>$lang['opt_sys_sdate'],"rating"=>$lang['opt_sys_srate'],"news_read"=>$lang['opt_sys_sview'],"title"=>$lang['opt_sys_salph']), "save_con[news_sort]", "$config_news_sort"));
    showRow($lang['opt_sys_msort'], $lang['opt_sys_msortd'], makeDropDown(array("DESC"=>$lang['opt_sys_mminus'],"ASC"=>$lang['opt_sys_mplus']), "save_con[news_msort]", "$config_news_msort"));


    showRow($lang['opt_sys_ad'], $lang['opt_sys_add'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[hide_full_link]", "$config_hide_full_link"));
    showRow($lang['opt_sys_wds'], $lang['opt_sys_wdsd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_site_wysiwyg]", "$config_allow_site_wysiwyg"));

	echo "</table></td></tr>";


echo <<<HTML
<tr style='display:none' id="comments"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_cch']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;

    showRow($lang['opt_sys_cr'], $lang['opt_sys_crd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[only_registered_comment]", "$config_only_registered_comment"));
    showRow($lang['opt_sys_ce'], $lang['opt_sys_ced'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_edit_comment]", "$config_allow_edit_comment"));
    showRow($lang['opt_sys_cd'], $lang['opt_sys_cdd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_delete_comment]", "$config_allow_delete_comment"));
    showRow($lang['opt_sys_cm'], $lang['opt_sys_cmd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_url_instead_mail]", "$config_allow_url_instead_mail"));

    showRow($lang['opt_sys_cpm'], $lang['opt_sys_cpmd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[comm_nummers]' value=\"$config_comm_nummers\" size=10>");
    showRow($lang['opt_sys_csort'], $lang['opt_sys_csortd'], makeDropDown(array("DESC"=>$lang['opt_sys_mminus'],"ASC"=>$lang['opt_sys_mplus']), "save_con[comm_msort]", "$config_comm_msort"));

    showRow($lang['opt_sys_cn'], $lang['opt_sys_cnd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[smiles_nummer]' value=\"$config_smiles_nummer\" size=10>");
    showRow($lang['opt_sys_af'], $lang['opt_sys_afd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[flood_time]' value=\"$config_flood_time\" size=10>");
    showRow($lang['opt_sys_aw'], $lang['opt_sys_awd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[auto_wrap]' value=\"$config_auto_wrap\" size=10>");
    showRow($lang['opt_sys_ct'], "<a onClick=\"javascript:Help('date')\" class=main href=\"#\">$lang[opt_sys_and]</a>", "<input class=edit type=text style=\"text-align: center;\" name='save_con[timestamp_comment]' value='$config_timestamp_comment' size=40>");
    showRow($lang['opt_sys_wdcom'], $lang['opt_sys_wdscomd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_comments_wysiwyg]", "$config_allow_comments_wysiwyg"));

	echo "</table></td></tr>";


echo <<<HTML
<tr style='display:none' id="optimisation"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_dch']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;

    showRow($lang['opt_sys_ur'], $lang['opt_sys_urd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_registration]", "$config_allow_registration"));
    showRow($lang['opt_sys_cac'], $lang['opt_sys_cad'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_cache]", "$config_allow_cache"));
    showRow($lang['opt_sys_voc'], $lang['opt_sys_vocd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_votes]", "$config_allow_votes"));
    showRow($lang['opt_sys_toc'], $lang['opt_sys_tocd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_topnews]", "$config_allow_topnews"));
    showRow($lang['opt_sys_rn'], $lang['opt_sys_rnd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_read_count]", "$config_allow_read_count"));
    showRow($lang['opt_sys_df'], $lang['opt_sys_dfd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_fixed_news]", "$config_allow_fixed_news"));
    showRow($lang['opt_sys_dk'], $lang['opt_sys_dkd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_calendar]", "$config_allow_calendar"));
    showRow($lang['opt_sys_da'], $lang['opt_sys_dad'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_archives]", "$config_allow_archives"));

	echo "</table></td></tr>";


echo <<<HTML
<tr style='display:none' id="files"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_filesys']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;

    showRow($lang['opt_sys_file'], $lang['opt_sys_filed'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[files_allow]", "$config_files_allow"));
    showRow($lang['opt_sys_file1'], $lang['opt_sys_file1d'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[files_type]' value=\"$config_files_type\" size=40>");

    showRow($lang['opt_sys_file2'], $lang['opt_sys_file2d'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[files_count]", "$config_files_count"));
    showRow($lang['opt_sys_file3'], $lang['opt_sys_file3d'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[files_access]", "$config_files_access"));

	echo "</table></td></tr>";

echo <<<HTML
<tr style='display:none' id="users"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_uch']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;

    showRow($lang['opt_sys_ut'], $lang['opt_sys_utd'], makeDropDown(array("0"=>$lang['opt_sys_reg'],"1"=>$lang['opt_sys_reg_1']), "save_con[registration_type]", "$config_registration_type"));

    showRow($lang['opt_sys_code'], $lang['opt_sys_coded'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_sec_code]", "$config_allow_sec_code"));
    showRow($lang['opt_sys_sc'], $lang['opt_sys_scd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_skin_change]", "$config_allow_skin_change"));

    showRow($lang['opt_sys_um'], $lang['opt_sys_umd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_users]' value=\"$config_max_users\" size=10>");
    showRow($lang['opt_sys_ud'], $lang['opt_sys_udd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_users_day]' value=\"$config_max_users_day\" size=10>");
    showRow($lang['opt_sys_uf'], $lang['opt_sys_ufd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_foto]' value=\"$config_max_foto\" size=10>");

	echo "</table></td></tr>";

echo <<<HTML
<tr style='display:none' id="imagesconf"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_ich']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;

   showRow($lang['opt_sys_aiu'], $lang['opt_sys_aiud'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_upload]", "$config_allow_upload"));
   showRow($lang['opt_sys_maxsize'], $lang['opt_sys_maxsized'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_up_size]' value=\"$config_max_up_size\" size=10>");
   showRow($lang['opt_sys_dim'], $lang['opt_sys_dimd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_image_days]' value=\"$config_max_image_days\" size=10>");
   showRow($lang['opt_sys_iw'], $lang['opt_sys_iwd'], makeDropDown(array("yes"=>$lang['opt_sys_yes'],"no"=>$lang['opt_sys_no']), "save_con[allow_watermark]", "$config_allow_watermark"));
   showRow($lang['opt_sys_im'], $lang['opt_sys_imd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_watermark]' value=\"$config_max_watermark\" size=10>");
   showRow($lang['opt_sys_ia'], $lang['opt_sys_iad'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_image]' value=\"$config_max_image\" size=10>");
   showRow($lang['opt_sys_ij'], $lang['opt_sys_ijd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[jpeg_quality]' value=\"$config_jpeg_quality\" size=10>");

	echo "</table></td></tr>";
   
echo <<<HTML
    <tr>
        <td style="padding-top:10px; padding-bottom:10px;padding-right:10px;"><input type=hidden name=mod value=options>
    <input type=hidden name=action value=dosavesyscon><input type="submit" class="buttons" value="{$lang['user_save']}"></td>
    </tr>
</table>
</td>
        <td background="engine/skins/images/tl_rb.gif"><img src="engine/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="engine/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="engine/skins/images/tl_ub.gif"><img src="engine/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="engine/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div></form>
HTML;

    echofooter();
}
// ********************************************************************************
// Save System Configuration
// ********************************************************************************
elseif($action == "dosavesyscon")
{

    if($member_db[1] != 1){ msg("error", $lang['opt_denied'], $lang['opt_denied']); }
    $handler = fopen(ENGINE_DIR.'/data/config.php', "w");
    fwrite($handler, "<?PHP \n\n//System Configurations\n\n\$config_version_id = \"4.0\";\n\n");
    foreach($save_con as $name=>$value)
    {
	$value=trim(stripslashes ($value));
	$value=htmlspecialchars ($value, ENT_QUOTES);
    fwrite($handler, "\$config_$name = \"$value\";\n\n");
    }
    fwrite($handler, "?>");
    fclose($handler);

	clear_cache ();
    msg("info", $lang['opt_sysok'], "$lang[opt_sysok_1]<br /><br /><a href=$PHP_SELF?mod=options&action=syscon>$lang[db_prev]</a>");
}

?>