<?php
/*
=====================================================
 DataLife Engine - by SoftNews Media Group 
-----------------------------------------------------
 http://www.pc-soft.ru/
-----------------------------------------------------
 Copyright (c) 2004,2006 SoftNews Media Group
=====================================================
     
=====================================================
 : register.php
-----------------------------------------------------
 :  
=====================================================
*/

if(!defined('DATALIFEENGINE'))
{
  die("Hacking attempt!");
}

include(ENGINE_DIR.'/inc/parse.class.php');

$parse = new ParseFilter();

if (isset ($_REQUEST['doaction'])) $doaction = $_REQUEST['doaction']; else $doaction = "";

function check_reg ($name, $email, $password1, $password2, $sec_code=1, $sec_code_session=1) {
	global $lang, $db;
	$stop = "";

       if ( $sec_code != $sec_code_session )
	{
		
            $stop .= $lang['reg_err_19'];
	}

	if ($password1!=$password2)
	{
		 
            $stop .= $lang['reg_err_1'];
	}

	if ((strlen($password1)<6 || strlen($password1) >20)and(strlen($password2)<6 || strlen($password2) >20))
	{
		 
            $stop .= $lang['reg_err_2'];
	}
	if (strlen($name) > 20)
	{
		 
            $stop .= $lang['reg_err_3'];
	}
	if (preg_match("/[\||\'|\"|\!|\$|\@|\&\~\*\+]/",$name))
	{
		 
            $stop .= $lang['reg_err_4'];
	}

	if (preg_match("/[^(\w)|(\x7F-\xFF)|(\s)]/",$password1))
	{
		 
            $stop .= $lang['reg_err_5'];
	}

	if ((!ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'. '@'.'[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.'[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $email))or(empty($email)))
	{
		 
            $stop .= $lang['reg_err_6'];
	}

	if (empty($name))
	{
		 
            $stop .= $lang['reg_err_7'];
	}
	if (!$stop)
	{
		$dupe_email = $db->query ("SELECT * FROM " . PREFIX . "_users where email = '$email' OR name ='$name'");

        if ($db->num_rows($dupe_email)>0)
        {
			$stop .= $lang['reg_err_8'];
		}
	}
return $stop;
}


$stopregistration = FALSE;

$row = $db->super_query("SELECT COUNT(*) as count FROM " . PREFIX . "_users");

 if ($config_allow_registration != "yes") 
 { 

	msgbox ($lang['all_info'], $lang['reg_err_9']); 
    $stopregistration = TRUE;

 } elseif ($config_max_users > 0 AND $row['count'] > $config_max_users)
 { 

	msgbox ($lang['all_info'], $lang['reg_err_10']); 
    $stopregistration = TRUE;

}


if (isset($_POST['submit_reg']))
{

	if ($config_allow_sec_code == "yes") {
		session_start();
		session_name('sec_code');

		$sec_code = trim($_POST['sec_code']);
		$sec_code_session = trim($_SESSION['sec_code_session']);
	} else {
		$sec_code = 1;
		$sec_code_session = 1;
	}

$password1 = $parse->safeSQL($parse->process($_POST['password1']));
$password2 = $parse->safeSQL($parse->process($_POST['password2']));
$name = $parse->safeSQL(htmlspecialchars($parse->process($_POST['name'])));
$email = $parse->safeSQL($parse->process($_POST['email']));

$reg_error = check_reg ($name, $email, $password1, $password2, $sec_code, $sec_code_session);

if (!$reg_error) {

if ($config_registration_type) {

 $row = $db->super_query("SELECT template FROM " . PREFIX . "_email where name='reg_mail' LIMIT 0,1");

 $row['template'] = stripslashes($row['template']);

 $idlink = urlencode(base64_encode ($name."||".$email."||".$password1));

 $vallink = $config_http_home_url."index.php?do=register&doaction=validating&id=".$idlink;

 $row['template'] = str_replace("{%username%}",$name, $row['template']);
 $row['template'] = str_replace("{%validationlink%}",$vallink, $row['template']);

     $headers  = "MIME-Version: 1.0\n";
     $headers .= "Content-type: text/plain; charset=\"{$config_charset}\"\n";
     $headers .= "From: \"{$config_home_title}\" <{$config_admin_mail}>\n";
     $headers .= "Return-Path: {$config_admin_mail}\n";
     $headers .= "X-Priority: 3\n";
     $headers .= "X-Mailer: DLE with PHP!\n";

  @mail($email, $lang['reg_subj'], $row['template'], $headers);

msgbox ($lang['reg_vhead'], $lang['reg_vtext']);
$stopregistration = TRUE;

} else {

 $idlink = urlencode(base64_encode ($name."||".$email."||".$password1));
 $vallink = $config_http_home_url."index.php?do=register&doaction=validating&id=".$idlink;
 $doaction = "validating";
 $_GET['id'] = $idlink;
		}

} else msgbox ($lang['reg_err_11'], $reg_error);



}



if ($doaction != "validating" AND !$stopregistration) {

	$tpl->load_template('registration.tpl');

        $tpl->set('[registration]',"");
        $tpl->set('[/registration]',"");
		$tpl->set_block("'\\[validation\\](.*?)\\[/validation\\]'si","");

	if ($config_allow_sec_code == "yes") {
        $tpl->set('[sec_code]',"");
        $tpl->set('[/sec_code]',"");
		$tpl->set('{reg_code}',"<img src=\"{$config_http_home_url}engine/modules/antibot.php\" alt=\"${lang['sec_image']}\" border=\"0\">");
	}
	else
	{
        $tpl->set('{reg_code}',"");
		$tpl->set_block("'\\[sec_code\\](.*?)\\[/sec_code\\]'si","");
	}

	$allow_register_ajax = true;

$tpl->copy_template = "<form  method=\"post\" name=\"registration\" id=\"registration\" action=\"\">\n".$tpl->copy_template."
<input name=\"submit_reg\" type=\"hidden\" id=\"submit_reg\" value=\"submit_reg\">
</form>";
$tpl->compile('content');
$tpl->clear();
}

if (isset($_POST['submit_val']))
{

	$fullname = $parse->safeSQL($parse->process($_POST['fullname']));
	$land = $parse->safeSQL($parse->process($_POST['land']));
	$icq = $parse->safeSQL($parse->process($_POST['icq']));
	$info = $parse->safeSQL($parse->BB_Parse($parse->process($_POST['info']), false));

        $image = $_FILES['image']['tmp_name'];
        $image_name = $_FILES['image']['name'];
   		$image_size = $_FILES['image']['size'];
        $image_name  = str_replace(" ", "_", $image_name);
		$img_name_arr = explode(".",$image_name);
		$type         = end($img_name_arr);

$user_arr = explode ("||", base64_decode(urldecode($_GET['id'])));
$user = trim(mysql_escape_string($user_arr[0]));
$pass = md5($parse->safeSQL($parse->process($user_arr[2])));

$sql_select = $db->query("SELECT * FROM " . PREFIX . "_users where name = '$user' AND password='$pass'");

if (!$db->num_rows($sql_select)) $stop .= "Access Denied"; else $row = $db->get_row($sql_select);

if (is_uploaded_file($image) AND !$stop) {

		if ($image_size < 100000) {

$allowed_extensions = array("jpg", "png", "jpe", "jpeg", "gif");

if ((in_array($type, $allowed_extensions) or in_array(strtolower($type), $allowed_extensions)) and $image_name) {

include_once ENGINE_DIR.'/inc/makethumb.php';

$res = @move_uploaded_file($image, ROOT_DIR."/uploads/fotos/".$row['user_id'].".".$type);

if ($res) {

$thumb=new thumbnail(ROOT_DIR."/uploads/fotos/".$row['user_id'].".".$type);
$thumb->size_auto($config_max_foto);	
$thumb->jpeg_quality($config_jpeg_quality);
$thumb->save(ROOT_DIR."/uploads/fotos/foto_".$row['user_id'].".".$type);

@unlink (ROOT_DIR."/uploads/fotos/".$row['user_id'].".".$type);
$foto_name = "foto_".$row['user_id'].".".$type;

$db->query("UPDATE " . PREFIX . "_users set foto='$foto_name' where name='$user'");
} else $stop = $lang['reg_err_12'];
} else $stop = $lang['reg_err_13'];
} else $stop = $lang['news_err_16'];

}

	if (strlen($info) > 500)
	{
		 
            $stop .= $lang['reg_err_14'];
	}
	if (strlen($fullname) > 100)
	{
		 
            $stop .= $lang['reg_err_15'];
	}
	if (strlen($land) > 100)
	{
		 
            $stop .= $lang['reg_err_16'];
	}
	if (strlen($icq) > 20)
	{
		 
            $stop .= $lang['reg_err_17'];
	}

if ($stop){ msgbox ($lang['reg_err_18'], $stop);}

else {

$db->query("UPDATE " . PREFIX . "_users set fullname='$fullname', info='$info', land='$land', icq='$icq' where name='$user'");

msgbox ($lang['reg_ok'], $lang['reg_ok_1']);

$stopregistration = TRUE;
	}
}


if ($doaction == "validating" AND !$stopregistration AND !$_POST['submit_val']) {

$user_arr = explode ("||", base64_decode(urldecode($_GET['id'])));

$password1 = $parse->safeSQL($parse->process($user_arr[2]));
$name = trim($parse->safeSQL($parse->process($user_arr[0])));
$email = trim($parse->safeSQL($parse->process($user_arr[1])));

$reg_error = check_reg ($name, $email, $password1, $password1);
if (!$reg_error) {

$add_time = time()+($config_date_adjust*60);

$regpassword = md5($password1);
$db->query("INSERT INTO " . PREFIX . "_users (name, password, email, reg_date, lastdate) values ('$name', '$regpassword', '$email', '$add_time', '$add_time')");

} else {msgbox ($lang['reg_err_11'], $reg_error); $stopregistration = TRUE;}

}

if ($doaction == "validating" AND !$stopregistration) {
	$tpl->load_template('registration.tpl');

        $tpl->set('[validation]',"");
        $tpl->set('[/validation]',"");
		$tpl->set_block("'\\[registration\\].*?\\[/registration\\]'si","");

$tpl->copy_template = "<form  method=\"post\" name=\"registration\" enctype=\"multipart/form-data\" action=\"".$vallink."\">\n".$tpl->copy_template."
<input name=\"submit_val\" type=\"hidden\" id=\"submit_val\" value=\"submit_val\">
</form>";
$tpl->compile('content');
$tpl->clear();
}


?>