<?PHP
/*
=====================================================
 DataLife Engine - by SoftNews Media Group 
-----------------------------------------------------
 http://www.pc-soft.ru/
-----------------------------------------------------
 Copyright (c) 2004,2006 SoftNews Media Group
=====================================================
     
=====================================================
 : functions.inc.php
-----------------------------------------------------
 :  
=====================================================
*/
if(!defined('DATALIFEENGINE'))
{
  die("Hacking attempt!");
}

@setlocale(LC_CTYPE, array("ru_RU.CP1251", "ru_SU.CP1251", "ru_RU.KOI8-r", "ru_RU", "russian", "ru_SU", "ru"));

function formatsize($file_size){
    if($file_size >= 1073741824)
        {$file_size = round($file_size / 1073741824 * 100) / 100 . " Gb";}
    elseif($file_size >= 1048576)
        {$file_size = round($file_size / 1048576 * 100) / 100 . " Mb";}
    elseif($file_size >= 1024)
        {$file_size = round($file_size / 1024 * 100) / 100 . " Kb";}
    else{$file_size = $file_size . " b";}
return $file_size;
}

class microTimer {
    function start() {
        global $starttime;
        $mtime = microtime ();
        $mtime = explode (' ', $mtime);
        $mtime = $mtime[1] + $mtime[0];
        $starttime = $mtime;
    }
    function stop() {
        global $starttime;
        $mtime = microtime ();
        $mtime = explode (' ', $mtime);
        $mtime = $mtime[1] + $mtime[0];
        $endtime = $mtime;
        $totaltime = round (($endtime - $starttime), 5);
        return $totaltime;
    }
}

function get_real_time()
{
	list($seconds, $microSeconds) = explode(' ', microtime());
	return ((float)$seconds + (float)$microSeconds);
}

///////////////////////////////////////////////////////
// Function:    Flooder
// Description: Flood Protection Function

function flooder($ip){
    global $config_flood_time, $config_date_adjust, $db;

$this_time = time() + ($config_date_adjust*60) - $config_flood_time;
$db->query("DELETE FROM " . PREFIX . "_flood where id < '$this_time'");

$sql_flood = "SELECT * FROM " . PREFIX . "_flood where id > '$this_time' and ip = '$ip'";

if ($db->num_rows($db->query($sql_flood)) > 0) $result = TRUE; else $result = FALSE;

    return $result;
}

///////////////////////////////////////////////////////
// Function:    query_string
// Description: Format the Query_String

function query_string($q_string, $strips, $type="get"){
    foreach($strips as $key){
        $strips[$key] = TRUE;
    }
    $var_value = explode("&", $q_string);

    foreach($var_value as $var_peace){
        $parts = explode("=", $var_peace);
        if($strips[$parts[0]] != TRUE and $parts[0] != ""){
            if($type == "post"){
                $my_q .= "<input type=\"hidden\" name=\"".$parts[0]."\" value=\"".$parts[1]."\" />\n";
            }else{
                $my_q .= "$var_peace&amp;";
            }
        }
    }

if( substr($my_q, -5) == "&amp;" ){ $my_q = substr($my_q, 0, -5); }

return $my_q;
}

////////////////////////////////////////////////////////
// Function:     insertSmilies
// Description: insert smilies for adding into news/comments

function insertSmilies($insert_location, $break_location = FALSE)
{
    global $config_smilies, $config_http_home_url;
	$i = 0;
	$output = "";

    $smilies = explode(",", $config_smilies);
    foreach($smilies as $smile)
    {
        $i++; $smile = trim($smile);

        $output .= "<a href=\"javascript:insertext(':$smile:','$insert_location')\"><img style=\"border: none;\" alt=\"$smile\" src=\"".$config_http_home_url."engine/data/emoticons/$smile.gif\" /></a>";
       	if($i%$break_location == 0 and $break_location)
		{
			$output .= "<br />";
		}else{ $output .= "&nbsp;"; }
    }
    return $output;
}

////////////////////////////////////////////////////////
// Function:    ToTranslit
// Description: Transliteration cyrillic symbols

function totranslit($var)
{
        $NpjLettersFrom = "";
        $NpjLettersTo   = "abvgdeziklmnoprstufcy";
        $NpjBiLetters = array( 
      "" => "jj", "" => "jo", "" => "zh", "" => "kh", "" => "ch", 
      "" => "sh", "" => "shh", "" => "je", "" => "ju", "" => "ja",
      "" => "", "" => "",
                              );

        $NpjCaps  = "Ũ";
        $NpjSmall = "";

	  $var = trim(strip_tags($var));
      $var = preg_replace( "/\s+/ms", "_", $var );
      $var = strtr( $var, $NpjCaps, $NpjSmall );
      $var = strtr( $var, $NpjLettersFrom, $NpjLettersTo );
      $var = strtr( $var, $NpjBiLetters );

      $var = preg_replace("/[^a-z0-9_]+/mi", "", $var);
	  $var = strtolower ( $var );

  return $var;
}

////////////////////////////////////////////////////////
// Function:    LangDate
// Description: Changing of date by cyrillic equivalents

////////////
// Set config to date safe values
foreach ($langdateweekdays as $langdatename => $langdatevalue)
  $langdateweekdays[$langdatename] = preg_replace("/./", "\\\\\\0", $langdatevalue);
foreach ($langdateshortweekdays as $langdatename => $langdatevalue)
  $langdateshortweekdays[$langdatename] = preg_replace("/./", "\\\\\\0", $langdatevalue);
foreach ($langdatemonths as $langdatename => $langdatevalue)
  $langdatemonths[$langdatename] = preg_replace("/./", "\\\\\\0", $langdatevalue);
foreach ($langdateshortmonths as $langdatename => $langdatevalue)
  $langdateshortmonths[$langdatename] = preg_replace("/./", "\\\\\\0", $langdatevalue);

////////////
// Declare the function
function langdate($langdateformat, $langdatetimestamp){
  global $langdateshortweekdays, $langdatemonths, $langdateweekdays, $langdateshortmonths;
  $langdateformat = preg_replace("/(?<!\\\\)D/", $langdateshortweekdays[date("w", $langdatetimestamp)], $langdateformat);
  $langdateformat = preg_replace("/(?<!\\\\)F/", $langdatemonths[date("n", $langdatetimestamp) - 1], $langdateformat);
  $langdateformat = preg_replace("/(?<!\\\\)l/", $langdateweekdays[date("w", $langdatetimestamp)], $langdateformat);
  $langdateformat = preg_replace("/(?<!\\\\)M/", $langdateshortmonths[date("n", $langdatetimestamp) - 1], $langdateformat);

  return date($langdateformat, $langdatetimestamp);
}

////////////////////////////////////////////////////////
// Function: 	word_filter
// Description: Filter comments, add news and/or edit news
function word_filter($source) {
	$all_words = file(ENGINE_DIR.'/data/wordfilter.db.php');

if (!empty($all_words)) {
	foreach($all_words as $word_line)
	{
		$word_arr = explode("|", $word_line);

		$find[] = "'".$word_arr[1]."'";
		$replace[] = $word_arr[2];

	}

	$source = preg_replace($find,$replace,$source);
}
	return $source;
}
////////////
// Declare the function
function msgbox($title, $text){
global $tpl;

$tpl->load_template('info.tpl');

$tpl->set('{error}', $text);
$tpl->set('{title}', $title);

  $tpl->compile('info');
  $tpl->clear();
}


function ShowRating ($id, $rating, $vote_num){
global $is_logged, $member_id, $config_http_home_url, $lang, $db;


$excellent = $lang['excellent'];
$good = $lang['good'];
$fair = $lang['fair'];
$poor = $lang['poor'];
$useless = $lang['useless'];

$rated = "<div id='ratig-layer'><form name=\"rating\"  id='rating' method=\"post\">\n";

$rated .= <<<HTML
<script type="text/javascript">
function doRate(){
	var ajax = new dle_ajax();
	var form = document.getElementById('rating');
	ajax.onShow ('');
	var varsString = "go_rate=" + form.go_rate.value;
	ajax.setVar("news_id", form.news_id.value);
	ajax.requestFile = "{$config_http_home_url}engine/ajax/rating.php";
	ajax.method = 'GET';
	ajax.element = 'ratig-layer';
	ajax.runAJAX(varsString);
}
</script>
HTML;

$rated .= "<b>$lang[raten]</b> ";

if ($rating < 1)
{

$rated .= $lang['noraten'];

} else
{
$rating = round(($rating /  $vote_num), 0);

if ($rating == 1) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate1.gif\" border=\"0\"  align=\"absmiddle\" alt=\"$lang[rated] $useless\">\n";
}elseif ($rating == 2) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate2.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[rated] $poor\">\n";
}elseif ($rating == 3) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate3.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[rated] $fair\">\n";
}elseif ($rating == 4) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate4.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[rated] $good\">\n";
}elseif ($rating == 5) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate5.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[rated] $excellent\">\n";
}
$rated  .= " ($lang[voten] $vote_num)";
}

if ($_SERVER['REMOTE_ADDR']) $ip = $_SERVER['REMOTE_ADDR'];
else $ip = "not detected";

if ($rating){
if ($is_logged) $where = "member = '{$member_id['name']}'";
else $where = "ip ='{$ip}'";
$sql_result = $db->query("SELECT news_id FROM " . PREFIX . "_logs where news_id ='$id' AND {$where}");
$row = $db->get_row($sql_result);
}

if ($row['news_id']){

$rated  .= "<br>$lang[rdenied]";

}else {
// Select box
$rated  .= "<br><div style=\"margin-top:5px;\"><b>$lang[yrate] </b>";
		$options = array("$excellent", "$good", "$fair", "$poor", "$useless");


        $rated  .= "<select class=rating name=\"go_rate\" id=\"go_rate\">\n";

		for ($i = 0; $i < count($options); $i++) { $this_rate = 5-$i;
		  $rated  .= "<option value = \"$this_rate\">$options[$i]</option>\n";
}
 		$rated  .= "</select>\n";
    	$rated  .= "<input type=\"hidden\" name=\"doaction\" value=\"rate\">\n";
    	$rated  .= "<input type=\"hidden\" name=\"news_id\" id=\"news_id\" value=\"$id\">\n";
        $rated  .= "<input class=rating type=\"submit\" onClick=\"doRate(); return false;\" value=\"$lang[entrat]\"></div>\n";
        
}


$rated  .= "</form></div>\n";


return $rated;
}


function ShortRating ($rating, $vote_num){
global $config_http_home_url, $lang;

$rated = "";

$excellent = $lang['excellent'];
$good = $lang['good'];
$fair = $lang['fair'];
$poor = $lang['poor'];
$useless = $lang['useless'];

if ($rating < 1){
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rating0.gif\" border=\"0\"  align=\"absmiddle\" alt=\"$lang[noraten]\">\n";

} else {
$rating = round(($rating /  $vote_num), 0);

if ($rating == 1) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rating1.gif\" border=\"0\"  align=\"absmiddle\" alt=\"$lang[rated] $useless\">\n";
}elseif ($rating == 2) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rating2.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[rated] $poor\">\n";
}elseif ($rating == 3) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rating3.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[rated] $fair\">\n";
}elseif ($rating == 4) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rating4.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[rated] $good\">\n";
}elseif ($rating == 5) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rating5.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[rated] $excellent\">\n";
}
}

return $rated;
}


function userrating ($name){
global $config_http_home_url, $lang, $db;
$rated = "";

$sql_result = $db->query("SELECT SUM(rating), SUM(vote_num) FROM " . PREFIX . "_post where autor ='$name'");

$row = $db->get_array($sql_result);

if (!$row[0]){
$rated = $lang['unorat'];

} else {
$rating = round(($row[0] /  $row[1]), 0);

if ($rating == 1) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate1.gif\" border=\"0\"  align=\"absmiddle\" alt=\"$lang[urated]\">\n";
}elseif ($rating == 2) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate2.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[urated]\">\n";
}elseif ($rating == 3) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate3.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[urated]\">\n";
}elseif ($rating == 4) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate4.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[urated]\">\n";
}elseif ($rating == 5) {
    $rated  .= "<img src=\"".$config_http_home_url."engine/skins/images/rate5.gif\" border=\"0\" align=\"absmiddle\" alt=\"$lang[urated]\">\n";
}
}

return $rated;
}

function CategoryNewsSelection($categoryid = 0, $parentid = 0, $nocat = TRUE, $sublevelmarker = '', $returnstring = '')
{ 
  global $cat, $cat_parentid;

  if($parentid == 0) {
    if ($nocat) $returnstring .= '<option value="0"></option>';
  } else  {
    $sublevelmarker .= '&nbsp;&nbsp;&nbsp;';
  }
  if (isset($cat_parentid)) {

  $root_category = @array_keys($cat_parentid, $parentid);
  if (is_array($root_category)) {
  foreach ($root_category as $id) {
   $category_name = $cat[$id];

   $returnstring .= '<option value="'.$id.'" ';
   if ($categoryid == $id) $returnstring .= 'selected';
   $returnstring .= '>'.$sublevelmarker.$category_name.'</option>';

    $returnstring = CategoryNewsSelection($categoryid, $id, $nocat, $sublevelmarker, $returnstring);
   }
  }
}
  return $returnstring;
}

function filesize_url($url){
   return ($data = @file_get_contents($url)) ? strlen($data) : false;
}

function dle_cache($prefix, $cache_id=false, $member_prefix=false){
  global $config_allow_cache, $is_logged, $member_id;

	if ($config_allow_cache != "yes") return false;

	if ($is_logged) $end_file = $member_id['user_group']; else $end_file = "0";

	if ($cache_id == false) {
	$filename = ENGINE_DIR.'/cache/'.$prefix.'.tmp';	
	} else {
	$cache_id = totranslit ($cache_id);

		if ($member_prefix)
	$filename = ENGINE_DIR."/cache/".$prefix."_".$cache_id."_".$end_file.".tmp";
		else
	$filename = ENGINE_DIR."/cache/".$prefix."_".$cache_id.".tmp";

	}

    if (!@filesize($filename)){
    	return false;
    }

	$cache = gzuncompress (file_get_contents($filename));

return $cache;
}

function create_cache($prefix, $cache_text, $cache_id=false, $member_prefix=false){
  global $config_allow_cache, $is_logged, $member_id;

		if ($config_allow_cache != "yes") return false;

	if ($is_logged) $end_file = $member_id['user_group']; else $end_file = "0";


	if ($cache_id == false) {
	$filename = ENGINE_DIR.'/cache/'.$prefix.'.tmp';	
	} else {
	$cache_id = totranslit ($cache_id);

		if ($member_prefix)
	$filename = ENGINE_DIR."/cache/".$prefix."_".$cache_id."_".$end_file.".tmp";
		else
	$filename = ENGINE_DIR."/cache/".$prefix."_".$cache_id.".tmp";

	}

	$cache_text = gzcompress($cache_text, 1);

    $fp = fopen($filename, 'wb+');
    fwrite($fp, $cache_text);
    fclose($fp);

	@chmod($filename, 0666);

}

function clear_cache($cache_area = false){
global $config_allow_cache;

	if ($cache_area){
	$filename = ENGINE_DIR.'/cache/'.$cache_area.'.tmp';
	@unlink($filename);
	} else {
	$fdir = opendir(ENGINE_DIR.'/cache');
    while ($file = readdir($fdir)){
        if ($file != '.' and $file != '..' and $file != '.htaccess'){
	                @unlink(ENGINE_DIR.'/cache/'.$file);

      	  }
  	  }
	}
}
function ChangeSkin($dir, $skin){


        $templates_list = array();

        $handle = opendir($dir);

           while (false !== ($file = readdir($handle))){
				if(is_dir("./templates/$file") and ($file != "." and $file!="..")){
            $templates_list[] = $file;
        }
          }
        closedir($handle);

	$skin_list = "<form method=post action=\"$PHP_SELF\"><select onchange=\"submit()\" name=skin_name>";

        foreach($templates_list as $single_template){
			if ($single_template == $skin) $selected = " selected"; else $selected = "";
            $skin_list .= "<option value=\"$single_template\"".$selected.">$single_template</option>";
        }
        $skin_list .= '</select><input type=hidden name=action_skin_change value=yes></form>';

return $skin_list;
} 

function custom_print ($custom_category, $custom_template, $aviable, $custom_from, $custom_limit, $custom_cache, $do){
global $db, $cat, $is_logged, $member_id, $xf_inited, $cat_alt_name, $config_allow_alt_url, $config_http_home_url, $config_timestamp_active, $config_date_adjust, $config_hide_full_link, $config_allow_cache, $config_news_sort, $config_news_msort, $config_files_allow;


	$do = $do ? $do : "main";
	$aviable = explode ('|', $aviable);

	if(!(in_array($do, $aviable)) AND ($aviable[0] != "global")) return "";

	$custom_category  = mysql_escape_string(str_replace(',', '|', $custom_category));
	$custom_from = intval($custom_from);
	$custom_limit = intval($custom_limit);
	$thisdate = date ("Y-m-d H:i:s", (time()+ $config_date_adjust*60));
	$content = false;

	$tpl = new dle_template;
	$tpl->dir = TEMPLATE_DIR;

	if ($custom_cache == "yes") $config_allow_cache = "yes"; else $config_allow_cache = false;
	if ($is_logged AND $member_id['user_group'] == 3) $config_allow_cache = false;

	$content = dle_cache("custom", $custom_category.$custom_template, true);

	if ($content) { return $content; }
	else {
    $sql_select = "SELECT id, autor, date, short_story, full_story, xfields, title, category, alt_name, comm_num, allow_comm, allow_rate, rating, vote_num, news_read FROM " . PREFIX . "_post where category regexp '[[:<:]]($custom_category)[[:>:]]' AND approve = '1' AND date < '$thisdate' order by ".$config_news_sort." ".$config_news_msort." LIMIT ".$custom_from.",".$custom_limit;
	include(ENGINE_DIR.'/modules/show.custom.php');

		if ($config_files_allow == "yes")
			if ( stristr( $tpl->result['content'], "[attachment=" ) )
			{
				$tpl->result['content'] = show_attach($tpl->result['content'], $attachments);
			}

	create_cache("custom", $tpl->result['content'], $custom_category.$custom_template, true);

	}
	return $tpl->result['content'];
}

function check_module ($aviable, $block, $do) {

	$do = $do ? $do : "main";
	$aviable = explode ('|', $aviable);

	$block = str_replace("&amp;", "&", $block);
	$block = str_replace('\"', '"', $block);

	if(!(in_array($do, $aviable)) AND ($aviable[0] != "global")) return "";
	else return $block;

}
function check_ip () {

	if ($_SERVER['REMOTE_ADDR']) $ip = $_SERVER['REMOTE_ADDR'];
	else return false;

    $blockip = FALSE;
    $ips = file(ENGINE_DIR.'/data/ip.db.php');

    foreach($ips as $ip_line){
            $ip_arr = rtrim($ip_line);

            $ip_check_matches = 0;
            $db_ip_split = explode(".", $ip_arr);
            $this_ip_split = explode(".", $ip);

            for($i_i=0;$i_i<4;$i_i++){
                if ($this_ip_split[$i_i] == $db_ip_split[$i_i] OR $db_ip_split[$i_i] == '*') {
                    $ip_check_matches += 1;
                }

            }

            if ($ip_check_matches == 4) $blockip = TRUE;

    }

	return $blockip;
}

function show_attach ($story, $id) {
global $db, $config_http_home_url, $config_files_count, $lang, $is_logged, $config_files_access;

 if (is_array($id) AND count($id))
	$where = "news_id IN (".implode(",", $id).")";
 else
	$where = "news_id = '$id'";
 
  $getfiles = $db->query("SELECT id, name, dcount FROM " . PREFIX . "_files WHERE $where");

	while($row = $db->get_row($getfiles)){

     if (!$is_logged AND $config_files_access == "yes")
		$link = "<span id=\"attachment\">{$lang['att_denied']}</span>";
	 elseif ($config_files_count == 'yes')
		$link = "<span id=\"attachment\"><a href=\"{$config_http_home_url}engine/download.php?id={$row['id']}\" >{$row['name']}</a> ({$lang['att_dcount']} {$row['dcount']})</span>";
	  else
		$link = "<span id=\"attachment\"><a href=\"{$config_http_home_url}engine/download.php?id={$row['id']}\" >{$row['name']}</a></span>";

		$story = str_replace( '[attachment='.$row['id'].']', $link, $story );
	}

return $story;

}
?>